/******************************************************************************
 *
 * 	Conversion between old functions to new functions
 *
 *	Copyright (c) 2006	Janam Partners LLC. All rights reserved.
 *
 * 	File: 			JanamExtendedStruct.h
 *
 * 	Release: 		Palm OS 5.x
 *
 * 	Description: 	Extended Struct for using BABBO devices
 *
 * 	History:	
 *	Version 1.0		PT, JL			Oct, 2006
 *
 *****************************************************************************/
 

#define ScanOpenDecoder							ScnOpenDecoder
#define ScanCloseDecoder						ScnCloseDecoder
#define ScanCmdScanDisable						ScnCmdScanDisable
#define ScanCmdScanEnable						ScnCmdScanEnable
#define ScanCmdStartDecode						ScnCmdStartDecode
#define ScanCmdStopDecode						ScnCmdStopDecode
#define ScanCmdAimOn							ScnCmdAimOn
#define ScanCmdAimOff							ScnCmdAimOff
#define ScanCmdSendParams						ScnCmdSendParams
#define ScanCmdGetAllParams						ScnCmdGetAllParams
#define ScanCmdBeep								ScnCmdBeep
#define ScanGetDecodedData						ScnGetDecodedData
#define ScanGetExtendedDecodedData				ScnGetExtendedDecodedData
#define ScanCmdParamDefaults					ScnCmdParamDefaults
#define ScanGetDecoderVersion					ScnGetDecoderVersion
#define ScanGetScanManagerVersion				ScnGetScanManagerVersion
#define ScanGetScanPortDriverVersion			ScnGetScanPortDriverVersion
#define ScanSetBarcodeEnabled					ScnSetBarcodeEnabled
#define ScanGetBarcodeEnabled					ScnGetBarcodeEnabled
#define ScanSetDecodeUpcEanSupplementals		ScnSetDecodeUpcEanSupplementals
#define ScanGetDecodeUpcEanSupplementals		ScnGetDecodeUpcEanSupplementals
#define ScanSetDecodeUpcEanRedundancy			ScnSetDecodeUpcEanRedundancy
#define ScanGetDecodeUpcEanRedundancy			ScnGetDecodeUpcEanRedundancy
#define ScanSetTransmitCheckDigit				ScnSetTransmitCheckDigit
#define ScanGetTransmitCheckDigit				ScnGetTransmitCheckDigit
#define ScanSetUpcPreamble						ScnSetUpcPreamble
#define ScanGetUpcPreamble						ScnGetUpcPreamble
#define ScanSetConvert							ScnSetConvert
#define ScanGetConvert							ScnGetConvert
#define ScanSetEanZeroExtend					ScnSetEanZeroExtend
#define ScanGetEanZeroExtend					ScnGetEanZeroExtend
#define ScanSetUpcEanSecurityLevel				ScnSetUpcEanSecurityLevel
#define ScanGetUpcEanSecurityLevel				ScnGetUpcEanSecurityLevel
#define ScanSetCode32Prefix						ScnSetCode32Prefix
#define ScanGetCode32Prefix						ScnGetCode32Prefix
#define ScanSetBarcodeLengths					ScnSetBarcodeLengths
#define ScanGetBarcodeLengths					ScnGetBarcodeLengths
#define ScanSetCode39CheckDigitVerification		ScnSetCode39CheckDigitVerification
#define ScanGetCode39CheckDigitVerification		ScnGetCode39CheckDigitVerification
#define ScanSetI2of5CheckDigitVerification		ScnSetI2of5CheckDigitVerification
#define ScanGetI2of5CheckDigitVerification		ScnGetI2of5CheckDigitVerification
#define ScanSetClsiEditing						ScnSetClsiEditing
#define ScanGetClsiEditing						ScnGetClsiEditing
#define ScanSetNotisEditing						ScnSetNotisEditing
#define ScanGetNotisEditing						ScnGetNotisEditing
#define ScanSetMsiPlesseyCheckDigits			ScnSetMsiPlesseyCheckDigits
#define ScanGetMsiPlesseyCheckDigits			ScnGetMsiPlesseyCheckDigits
#define ScanSetMsiPlesseyCheckDigitAlgorithm	ScnSetMsiPlesseyCheckDigitAlgorithm
#define ScanGetMsiPlesseyCheckDigitAlgorithm	ScnGetMsiPlesseyCheckDigitAlgorithm
#define ScanSetLaserOnTime						ScnSetLaserOnTime
#define ScanGetLaserOnTime						ScnGetLaserOnTime
#define ScanSetAimDuration						ScnSetAimDuration
#define ScanGetAimDuration						ScnGetAimDuration
#define ScanSetTriggeringModes					ScnSetTriggeringModes
#define ScanGetTriggeringModes					ScnGetTriggeringModes
#define ScanSetTimeOutBetweenSameSymbol			ScnSetTimeOutBetweenSameSymbol
#define ScanGetTimeOutBetweenSameSymbol			ScnGetTimeOutBetweenSameSymbol
#define ScanSetParameterScanning				ScnSetParameterScanning
#define ScanGetParameterScanning				ScnGetParameterScanning
#define ScanSetLinearCodeTypeSecurityLevel		ScnSetLinearCodeTypeSecurityLevel
#define ScanGetLinearCodeTypeSecurityLevel		ScnGetLinearCodeTypeSecurityLevel
#define ScanSetBidirectionalRedundancy			ScnSetBidirectionalRedundancy
#define ScanGetBidirectionalRedundancy			ScnGetBidirectionalRedundancy
#define ScanSetTransmitCodeIdCharacter			ScnSetTransmitCodeIdCharacter
#define ScanGetTransmitCodeIdCharacter			ScnGetTransmitCodeIdCharacter
#define ScanSetPrefixSuffixValues				ScnSetPrefixSuffixValues
#define ScanGetPrefixSuffixValues				ScnGetPrefixSuffixValues
#define ScanSetScanDataTransmissionFormat		ScnSetScanDataTransmissionFormat
#define ScanSetAngle							ScnSetAngle
#define ScanGetAngle							ScnGetAngle
#define ScanGetScanDataTransmissionFormat		ScnGetScanDataTransmissionFormat
#define ScanCmdLedOn							ScnCmdLedOn
#define ScanCmdLedOff							ScnCmdLedOff
#define ScanSetHostSerialResponseTimeOut		ScnSetHostSerialResponseTimeOut
#define ScanGetHostSerialResponseTimeOut		ScnGetHostSerialResponseTimeOut
#define ScanSetHostCharacterTimeOut				ScnSetHostCharacterTimeOut
#define ScanGetHostCharacterTimeOut				ScnGetHostCharacterTimeOut
#define ScanSetIntercharacterDelay				ScnSetIntercharacterDelay
#define ScanGetIntercharacterDelay				ScnGetIntercharacterDelay
#define ScanSetBeepAfterGoodDecode				ScnSetBeepAfterGoodDecode
#define ScanGetBeepAfterGoodDecode				ScnGetBeepAfterGoodDecode
#define ScanSetBeepDuration						ScnSetBeepDuration
#define ScanGetBeepDuration						ScnGetBeepDuration
#define ScanSetBeepFrequency					ScnSetBeepFrequency
#define ScanGetBeepFrequency					ScnGetBeepFrequency
#define ScanSetDecodeLedOnTime					ScnSetDecodeLedOnTime
#define ScanGetDecodeLedOnTime					ScnGetDecodeLedOnTime
#define ScanGetAimMode							ScnGetAimMode
#define ScanGetScanEnabled						ScnGetScanEnabled
#define ScanGetLedState							ScnGetLedState
#define ScanIsPalmSymbolUnit					ScnIsJanamUnit
#define ScanSetCode39FullAscii					ScnSetCode39FullAscii
#define ScanGetCode39FullAscii					ScnGetCode39FullAscii
#define ScanCmdTrigSledOn						ScnCmdTrigSledOn
#define ScanCmdTrigSledOff						ScnCmdTrigSledOff
#define ScanGetTrigSledMode						ScnGetTrigSledMode

//The followings are extended functions supported by BABBO devices
//Define as ScanCmd<FunctionName> are only for convenience
#define ScanCmdReadSymbologyConfig				ScnCmdReadSymbologyConfig
#define ScanCmdWriteSymbologyConfig				ScnCmdWriteSymbologyConfig
#define ScanCmdSetupOCR							ScnCmdSetupOCR
#define ScanCmdGetSetupOCR						ScnCmdGetSetupOCR
#define ScanCmdAimerOn							ScnCmdAimerOn
#define ScanCmdLightsOn							ScnCmdLightsOn

